import {
  Actions,
  ActionType,
} from './user.action';

import {
  State,
  initialState,
} from './user.state';

export function reducer(state: State = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.SetMemberID: {
      return {
        ...state,
        memberID: action.payload.memberID,
      };
    }

    case ActionType.ChangeShowWelcomPage: {
      return {
        ...state,
        showWelcomPage: action.payload.showWelcomPage,
      };
    }

    default: {
      return state;
    }
  }
}
